PLplot: TextObjectsChanger Class Reference

PLplot 5.15.0

Public Member Functions | Private Member Functions | Private Attributes | List of all members
TextObjectsChanger Class Reference

## Public Member Functions
| TextObjectsChanger (wxDC *dc, const wxFont &font, const wxColour &textForeground, const wxColour &textBackground)
| TextObjectsChanger (wxDC *dc, const wxFont &font)
| TextObjectsChanger (wxDC *dc, FontGrabber &fontGrabber, PLUNICODE fci, PLFLT size, bool underlined, const wxColour &textForeground, const wxColour &textBackground)

## Private Member Functions
TextObjectsChanger & | operator= (const TextObjectsChanger &)
| TextObjectsChanger (const TextObjectsChanger &)

## Private Attributes
TextObjectsSaver | m_saver

## Detailed Description

Definition at line 543 of file wxwidgets_dev.cpp.

## Constructor & Destructor Documentation

## ◆ TextObjectsChanger() [1/4]

TextObjectsChanger::TextObjectsChanger | ( | wxDC * | dc,
|  | const wxFont & | font,
|  | const wxColour & | textForeground,
|  | const wxColour & | textBackground
| ) |  |
| inline

Definition at line 546 of file wxwidgets_dev.cpp.

## ◆ TextObjectsChanger() [2/4]

TextObjectsChanger::TextObjectsChanger | ( | wxDC * | dc,
|  | const wxFont & | font
| ) |  |
| inline

Definition at line 556 of file wxwidgets_dev.cpp.

## ◆ TextObjectsChanger() [3/4]

TextObjectsChanger::TextObjectsChanger | ( | wxDC * | dc,
|  | FontGrabber & | fontGrabber,
|  | PLUNICODE | fci,
|  | PLFLT | size,
|  | bool | underlined,
|  | const wxColour & | textForeground,
|  | const wxColour & | textBackground
| ) |  |
| inline

Definition at line 562 of file wxwidgets_dev.cpp.

## ◆ TextObjectsChanger() [4/4]

TextObjectsChanger::TextObjectsChanger | ( | const TextObjectsChanger & |  | ) |
| private

## Member Function Documentation

## ◆ operator=()

TextObjectsChanger& TextObjectsChanger::operator= | ( | const TextObjectsChanger & |  | ) |
| private

## Member Data Documentation

## ◆ m_saver

TextObjectsSaver TextObjectsChanger::m_saver
| private

Definition at line 574 of file wxwidgets_dev.cpp.

The documentation for this class was generated from the following file:

- wxwidgets_dev.cpp